package net.knarcraft.armoredelytra.listener;

import net.knarcraft.armoredelytra.ArmoredElytra;
import org.bukkit.Bukkit;
import org.bukkit.ChatColor;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerLoginEvent;

public class LoginListener implements Listener {

    private final ArmoredElytra plugin;
    private final String message;

    public LoginListener(ArmoredElytra plugin, String message) {
        this.plugin = plugin;
        this.message = message;
    }

    @EventHandler
    public void onLogin(PlayerLoginEvent event) {
        Player player = event.getPlayer();
        if (player.hasPermission("armoredElytra.admin")) {
            // Slight delay so the player actually receives the message;
            Bukkit.getScheduler().runTaskLater(plugin, () -> plugin.messagePlayer(player, ChatColor.AQUA, message), 10);
        }
    }

}
